Bug 179140 - mc hangs when copying symlinks over fish
mc hangs when copying symlinks over fish
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 13:02 EST by Doncho N. Gunchev
Modified: 2013-07-02 19:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:33:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2006-01-27 13:02:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
mc hangs when I try to copy symlink(s) over fish.

Version-Release number of selected component (if applicable):
mc-4.6.1a-4.FC4

How reproducible:
Always

Steps to Reproduce:
1. on machine A create a directory and copy a big (say 8K) file inside
2. on machine A create some symlinks to this file
3. on machine B try copying (to machine B) this directory over fish

Actual Results:  mc waits forever when trying to copy the first symlink

Expected Results:  should copy symlinks as well as files

Additional info:

I think mc gets the file size and somehow starts filling the local file with the remote symlink's path (which is shorter) and waits for more data forever or something like that. When I killall mc I see the symlink as normal file, localy, and it is as long as the remote symlink's path was (symlink to 'dir/file' makes 8 bytes long local file).
Comment 1 Jindrich Novy 2006-01-27 15:31:32 EST
Ok, I need more details to reproduce it.

What I've done is:

1. mkdir test; cd test
2. dd if=/dev/zero of=file count=16
3. ln -s file link
4. ln -s file link2
5. from machineB: cd /#ftp:machineA, select directory test
6. synchonize both panels (alt-i)
7. create directory test2 in the other panel
8. copy directory test to directory test2 via fish

mc reports: Cannot create target symlink, Function not implemented (38) for each
symlink and "file" is copied with no problem.
Comment 2 Doncho N. Gunchev 2006-01-28 08:40:56 EST
Why ftp? fish is over ssh, not ftp. Do this:  
ssh fedora   
mkdir Z   
cd Z   
cp /usr/share/dict/words .   
ln -s words words1   
ln -s words words2   
ln -s words words3   
logout   
mc   
cd /#sh:fedora/home/mr700   
select Z and copy it. This time (after waiting a lot and the remote machine 
being also FC4, not FC3 as it was in my first test) I got 5 byte long 
"words1", "words2" and "words3" files with "1080" inside. In addition, when 
listing the remote dir Z over fish all symlinks look like normal files with 
the same size as the linked file has (4951020 bytes in this case). 
Comment 3 Doncho N. Gunchev 2006-01-28 08:43:36 EST
... and you've found new bug with ftp (Function not implemented)? :) 
Comment 4 Jindrich Novy 2006-01-28 09:02:30 EST
On the fish, ftp confusion: Yeah, it was Friday ;)

Now I can see it. In my case only the non-symlinked file is copied and then mc
hangs. In the destination directory there is only the non-symliked file, nothing
else.

The "Function not implemented (38)" is actually a feature :)

I'll have look more into it after the weekend.
Comment 5 Christian Iseli 2007-01-22 06:24:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 6 Doncho N. Gunchev 2007-02-20 08:06:21 EST
Yes, if it does not hang, it copies only strlen(symlinked_file_name) bytes 
from the file as a new regular file. Today my tests resulted in X byte files 
only (no crashes).
Comment 7 Doncho N. Gunchev 2007-02-20 09:01:52 EST
The "I am providing the requested information for this bug." checkbox is 
broken (for konqueror)?
Comment 8 Bug Zapper 2008-04-03 22:07:19 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Bug Zapper 2008-05-06 11:33:48 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.